# $Revision: 1.60 $, $Date: 2003/03/03 10:28:27 $
Summary:	file(1) command
Summary(de):	Befehl file(1)
Summary(es):	Comando file
Summary(fr):	Commande file(1)
Summary(ja):	եμȽ̤桼ƥƥ
Summary(ko):	  ˾Ƴ 
Summary(pl):	Polecenie file(1)
Summary(pt_BR):	Um utilitrio para determinar tipos de arquivos
Summary(ru):	    
Summary(tr):	Dosya tipini belirleme arac
Summary(uk):	̦   Ц ̦
Name:		file
Version:	3.41
Release:	1
License:	distributable
Group:		Applications/File
Source0:	ftp://ftp.astron.com/pub/file/%{name}-%{version}.tar.gz
Source1:	zisofs.magic
Source2:	magic.mime
Source3:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
Source4:	%{name}-magic.mscompress
Patch0:		%{name}-sparc.patch
Patch1:		%{name}-ia64.patch
Patch2:		%{name}-man.patch
Patch3:		%{name}-palm.patch
Patch4:		%{name}-mime-elf.patch
Patch5:		%{name}-unicode.patch
Patch6:		%{name}-bin-zsh-magic.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	xdelta < 1.0.0

%define		_datadir	%{_prefix}/share/misc

%description
This package is useful for finding out what type of file you are
looking at on your system. For example, if an fsck results in a file
being stored in lost+found, you can run file on it to find out if it's
safe to 'more' it or if it's a binary. It recognizes many file types,
including ELF binaries, system libraries, RPM packages, and many
different graphics formats.

%description -l de
Sie knnen dieses Paket verwenden, um zu bestimmen, welches Format
eine bestimmte Datei hat. Wird durch fsck eine Datei in lost+found
gespeichert, knnen Sie 'file' ausfhren, um herauszufinden, ob Sie
sie mit 'more' einsehen knnen, oder ob es sich um ein Binrprogramm
handelt Das Programm erkennt u.a. ELF-Binrprogramme,
System-Libraries, RPM-Pakete und viele Grafikformate.

%description -l es
Este paquete es til para descubrir que tipo de archivo ests buscando
en tu sistema. Por ejemplo, si fsck resulta un archivo que fue
almacenado en el "lost+found", tu puedes ejecutar file en l para
descubrir si es seguro leerlo con el "more" o si es un binario.
Reconoce varios tipos de archivos, incluyendo binarios ELF,
bibliotecas de sistema, paquetes RPM y varios formatos grficos
diferentes.

%description -l fr
Ce paquetage sert  trouver le type du fichier que vous recherchez sur
votre systme. Par exemple, si un fsck fait qu'un fichier a t stock
dans lost+found, vous pouvez lancer file dessus pour savoir si on peut
faire un more, ou s'il s'agit d'un binaire. Il reconnat de nombreux
types de fichiers dont les binaires ELF, les bibliothques systmes,
les paquetages RPM et de nombreux formats graphiques diffrents.

%description -l ja
ե륳ޥɤϥե˴ޤޤǡμˤġΥե
ʬ뤿˻Ȥ롣file  ELF Хʥꡢƥ饤֥ꡢ
RPM ѥåƼΥեåեޥåȤޤࡢ¿ΰۤʤ
եμʬ뤳ȤǽǤ롣

%description -l pl
Pakiet ten jest przydatny jeeli chcesz rozpozna typ plikw w twoim
systemie. Na przykad jeeli fsck zdeponuje jakie pliki w katalogu
lost+found, moesz uruchomi file na zdeponowanym pliku i zobaczy
jaki to jest typ pliku, jest to metoda bezpieczniejsza ni 'more', ze
wzgldu na to, e to moe by plik binarny. File potrafi rozpozna
wiele typw plikw np. binarny ELF, biblioteki systemowe, pakiety RPM
oraz wiele rnych formatw graficznych i dwikowych.

%description -l pt_BR
Este pacote  til para descobrir que tipo de arquivo voc est
procurando em seu sistema. Por exemplo, se um fsck resulta em um
arquivo forem armazenado no "lost+found", voc pode rodar file nele
para descobrir se  seguro l-lo com o "more" ou se ele  um binrio.
Ele reconhece vrios tipos de arquivos, incluindo binrios ELF,
bibliotecas de sistema, pacotes RPM e vrios formatos grficos
diferentes.

%description -l ru
 file       ,  
.      
,     ELF,  ,
 RPM,      .

%description -l tr
file, bir dosyay inceleyerek ne tr bir dosya olduu konusunda size
bir fikir verebilir. Bylece uzantsndan ve adndan ne olduunu
karamadnz bir dosyay hangi yazlm ile kullanabileceinize ya
da ne yapacanza karar verebilisiniz. file, temel dosya tiplerini,
ou grafik formatn, altrlabilir dosyalar, sistem
kitaplklarn vs. tanyabilir.

%description -l uk
 file դ      , ˦
צ ͦ.     ˦˦ ҦΦ Ц
̦,   ̦ ¦Φ   ELF, Φ ¦̦,
 RPM, ҦΦΦ ƦΦ    .

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
rm -f install-sh missing mkinstalldirs
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--enable-fsect-man5

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

cat %{SOURCE1} %{SOURCE4} >>$RPM_BUILD_ROOT%{_datadir}/magic
# install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}

bzip2 -dc %{SOURCE3} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

./file -m $RPM_BUILD_ROOT%{_datadir}/magic -c -C

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_datadir}/*
%{_mandir}/man[15]/*
%lang(de) %{_mandir}/de/man[15]/*
%lang(es) %{_mandir}/es/man[15]/*
%lang(fr) %{_mandir}/fr/man[15]/*
%lang(hu) %{_mandir}/hu/man[15]/*
%lang(it) %{_mandir}/it/man[15]/*
%lang(ja) %{_mandir}/ja/man[15]/*
%lang(nl) %{_mandir}/nl/man[15]/*
%lang(pl) %{_mandir}/pl/man[15]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: file.spec,v $
Revision 1.60  2003/03/03 10:28:27  trojan
- updated to 3.41

Revision 1.59  2003/02/09 23:24:59  kloczek
- updated to 3.40: bug fixes,
- merge bin-zsh-magic patch from MDK,
- merge translations from MIZI.

Revision 1.58  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.57  2002/07/08 19:00:57  qboosh
- updated to 3.39
- updated ia64 patch, removed obsolete elf,mng,tfm patches

Revision 1.56  2002/05/23 20:58:32  qboosh
- sorted translations

Revision 1.55  2002/05/23 00:27:32  kloczek
- merge translations from Kondra,
- added patches:
-- palm: Pilot Image Viewer pdb files (patch from Kondra),
-- mime-elf: regiter ELF files in magic.mime file (patch from Conectiva),
-- unicode: BOM prefixed text files (Adrian Havill <havill@turbolinux.co.jp>
   (based on patch from TurboLinux),
-- mng: register mng files in mime.magick (patch from RH).

Revision 1.54  2002/05/21 23:13:01  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.53  2002/05/20 07:48:40  pioklo
- up to 3.38,STBR,remove patch5

Revision 1.52  2002/04/25 16:18:01  arturs
fixed a small typo

Revision 1.51  2002/04/10 22:33:36  qboosh
- added ac25x patch needed for autoconf 2.53; release 6

Revision 1.50  2002/04/10 18:40:26  kloczek
- merge translations from KSI and Conectiva.

Revision 1.49  2002/04/09 22:49:37  ankry
- added man.patch
- updated non-english-man-pages
- fixed pl summary
- release 5
- STBR

Revision 1.48  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.47  2002/02/23 01:58:11  kloczek
- adapterized.

Revision 1.46  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.45  2002/01/24 00:12:58  ankry
- added man-pages tar URL

Revision 1.44  2002/01/18 02:12:56  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.43  2001/11/15 23:15:11  qboosh
- added magic from mscompress package
- release 4

Revision 1.42  2001/11/14 22:21:17  ankry
- added de,es,fr,hu,it,ja,nl man pages
- revision 3

Revision 1.41  2001/11/14 16:09:24  ankry
- commented out manpage instalation id %%_datadir ...
  (Source2 does not seem to be a proper magic.mime also)

Revision 1.40  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.39  2001/10/25 07:44:54  kloczek
- updated to 3.37.

Revision 1.38  2001/10/22 23:49:03  kloczek
- release 3.

Revision 1.37  2001/10/04 14:46:34  qboosh
- BuildRequires: autoconf, automake

Revision 1.36  2001/07/23 20:33:54  qboosh
- pl/man5/magic.5, not magick.5
- elf patch: use <stdint.h> for uint.*_t, removed --disable-elf
- release 2

Revision 1.35  2001/07/23 03:08:13  kloczek
- updated to 3.3.6,
- removed obsoleted patches,
- added --enable-fsect-man5 to autoconf parameters.

Revision 1.34  2001/07/20 03:58:46  kloczek
- fix Source2 file name.

Revision 1.33  2001/07/20 02:16:39  kloczek
- added mime.magic,
- --disable-elf added to configure parameters (even do not compiles),
- added pl man pages.

Revision 1.32  2001/07/20 01:06:13  kloczek
- updated to 3.35 (release 3),
- merge fnovfl, magic5 and elf (for revert) patches from rawhide,
- renmoved obsoleted gtktalog patch.

Revision 1.31  2001/05/07 12:59:57  baggins
- release 4
- recognize files on compressed iso9660 filesystems

Revision 1.30  2001/04/01 15:17:20  qboosh
- changed GTKtalog magic - it broke identification of many types (e.g. jpeg)
- release 3

Revision 1.29  2001/03/15 18:24:54  wiget
typo

Revision 1.28  2001/03/15 18:20:48  wiget
make and install compiled magic file; release 2; stb

Revision 1.27  2001/03/13 08:28:39  wiget
3.34

Revision 1.26  2000/11/14 03:28:35  kloczek
- updated to 3.33.

Revision 1.25  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.24  2000/08/07 14:02:51  kloczek
- updated to 3.32.

Revision 1.23  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.22  2000/05/30 19:28:26  wiget
3.31 and IA-64 fixes

Revision 1.21  2000/05/18 20:18:39  kloczek
- spec adapterized.

Revision 1.20  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.19  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.18  1999/11/01 21:38:15  kloczek
- removed sparcv9 patch.

Revision 1.17  1999/11/01 21:24:29  kloczek
- updated to 3.28,
- removed file.gimp Source2 (integrated in current version),
- redefined %%{_datadir} to %%{_prefix}/share/misc instead using fhs patch,
- added tfm and parc patches which based on patches from rawhide,
- added using %%configure macro and DESTDIR style %install.

Revision 1.16  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 31 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
- FHS 2.0

* Mon Apr 19 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.26-5]
- new xdelta magic description,
- added patch for sparcv9,
- recompiles on new rpm.

* Thu Mar 11 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.26-4]
- removed man group from man pages.
